Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.propertyMap
Class SinglePropertyProvider

public class SinglePropertyProvider
implements PropertyProvider

Author:
  TogetherSoft

Constructor Summary
`SinglePropertyProvider(Object propertyValue)`
`SinglePropertyProvider(Object key, Object propertyValue)`
`SinglePropertyProvider(Object key, Object propertyValue, PropertyMap propertyMap)`
`SinglePropertyProvider(Property property)`
`SinglePropertyProvider(Property property, PropertyMap propertyMap)` There is an advantage of passing the propertyMap parameter so it will delegate all call for determining if property is addable, readable, writable, etc.

Method Summary
`Property` | `addProperty(Object propertyValue)`
`boolean` | `canAddProperty(Object propertyValue)`
`boolean` | `isReadable()`
`boolean` | `isWritable()`
`Enumeration` | `properties()`

Constructor Detail

### SinglePropertyProvider

    public SinglePropertyProvider(Object propertyValue)

### SinglePropertyProvider

    public SinglePropertyProvider(Object key, Object propertyValue)

### SinglePropertyProvider

    public SinglePropertyProvider(Object key, Object propertyValue, PropertyMap propertyMap)

### SinglePropertyProvider

    public SinglePropertyProvider(Property property)

### SinglePropertyProvider

    public SinglePropertyProvider(Property property, PropertyMap propertyMap)

  There is an advantage of passing the propertyMap parameter so it will delegate all call for determining if property is addable, readable, writable, etc.

Method Detail

### addProperty

    public Property addProperty(Object propertyValue)

### canAddProperty

    public boolean canAddProperty(Object propertyValue)

### isReadable

    public boolean isReadable()

### isWritable

    public boolean isWritable()

### properties

    public Enumeration properties()

Association Links

to Class com.togethersoft.openapi.util.propertyMap.Property

to Class com.togethersoft.openapi.util.propertyMap.PropertyMap

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD